# AP4_MarlinDecryptingProcessor Class Reference

`#include <Ap4Marlin.h>`

Inheritance diagram for AP4_MarlinDecryptingProcessor:

List of all members.

## Public Member Functions
| AP4_MarlinDecryptingProcessor (const AP4_ProtectionKeyMap *key_map=NULL, AP4_BlockCipherFactory *block_cipher_factory=NULL)
| ~AP4_MarlinDecryptingProcessor ()
AP4_ProtectionKeyMap & | GetKeyMap ()
virtual AP4_Result | Initialize (AP4_AtomParent &top_level, AP4_ByteStream &stream, ProgressListener *listener)
| This method can be overridden by concrete subclasses.
virtual AP4_Processor::TrackHandler * | CreateTrackHandler (AP4_TrakAtom *trak)
| This method can be overridden by concrete subclasses.
## Classes
struct | SinfEntry

## Detailed Description

Definition at line 60 of file Ap4Marlin.h.

## Constructor & Destructor Documentation

AP4_MarlinDecryptingProcessor::AP4_MarlinDecryptingProcessor | ( | const AP4_ProtectionKeyMap * | key_map = `NULL`,
|  | AP4_BlockCipherFactory * | block_cipher_factory = `NULL` |
| ) |  |  |

AP4_MarlinDecryptingProcessor::~AP4_MarlinDecryptingProcessor | ( |  | ) |

## Member Function Documentation

AP4_ProtectionKeyMap& AP4_MarlinDecryptingProcessor::GetKeyMap | ( |  | ) | `[inline]`

Definition at line 69 of file Ap4Marlin.h.

virtual AP4_Result AP4_MarlinDecryptingProcessor::Initialize | ( | AP4_AtomParent & | top_level,
|  | AP4_ByteStream & | stream,
|  | ProgressListener * | listener |
| ) |  |  | `[virtual]`

This method can be overridden by concrete subclasses.

It is called just after the input stream has been parsed into an atom tree, before the processing of the tracks.

Parameters:

  | top_level | Container atom containing all the atoms parsed from the input stream. Note that this atom does not actually exist in the file; it is a synthetised container created for the purpose of holding together all the input's top-level atoms.

Reimplemented from AP4_Processor.

virtual AP4_Processor::TrackHandler* AP4_MarlinDecryptingProcessor::CreateTrackHandler | ( | AP4_TrakAtom * | trak | ) | `[virtual]`

This method can be overridden by concrete subclasses.

It is called once for each track in the input file.

Parameters:

  | track | Pointer to the track for which a handler should be created.

Returns:
  A pointer to a track handler, or NULL if not handler needs to be created for that track.

Reimplemented from AP4_Processor.

The documentation for this class was generated from the following file:

- Ap4Marlin.h